%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		stylus-toolbox
Version:	0.2.7
Release:	1%{?dist}
Summary:	A printer utility for Epson Stylus® inkjet printers

License:	GPLv2+
URL:		http://stylus-toolbox.sourceforge.net/
Source0:	http://downloads.sourceforge.net/stylus-toolbox/%{name}-%{version}.tar.bz2
Patch0:		%{name}.patch

BuildArch:	noarch

BuildRequires:	python-devel
Requires:	pexpect
Requires:	pygtk2
Requires:	dbus
Requires:	gutenprint
Requires:	cups

%description
Stylus Toolbox is a printer utility for Epson Stylus® inkjet printers that is
designed to replace the Epson Printer Utility that comes with the Epson drivers
for the Windows platform on Linux, Mac OS X, FreeBSD and other Unix and
Unix-like operating systems that are supported by the Python programming
language and the Gutenprint inkjet drivers.

Stylus Toolbox is a graphical (GUI) front-end for Gutenprint's escputil
command-line Epson printer utility.  As a reult, it supports all printers
supported by escputil and Gutenprint, including many recent-model Epson Stylus
and Epson Photo printers. 

%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
%{__python} setup.py --prefix %{buildroot}/usr
%{__python} setup.py install --root %{buildroot}
sed -i -e 's|%{buildroot}||' %{buildroot}%{_bindir}/%{name}


%files
%doc README COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/*.glade
%{python_sitelib}/*


%changelog
* Wed Jan 11 2012 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-1
- update spec file

* Mon Jan 09 2012 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-0
- initial build

